Page MenuHomePhabricator

[[MediaWiki:Userrights-groups-help/ia]] i18n issue
Closed, ResolvedPublic

Description

The meaning of "putting back" and "bringing forward" a group's expiration time is unclear: it's not clear which one is supposed to mean "prolong" and which one "shorten", as also indicated by the fact that existing translations are opposite from one another. Please either use clearer wording or clarify the meaning in the documentation.


URL: https://translatewiki.net/wiki/MediaWiki:Userrights-groups-help/ia

Event Timeline

McDutchie created this task.Feb 8 2017, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2017, 5:58 PM

Change 345112 had a related patch set uploaded (by EddieGP):
[mediawiki/core@master] Resolve i18n message vagueness

https://gerrit.wikimedia.org/r/345112

EddieGP claimed this task.Mar 28 2017, 9:04 AM
EddieGP triaged this task as Medium priority.Mar 29 2017, 8:56 PM
TTO added a subscriber: TTO.Mar 30 2017, 10:27 PM

The meaning of "putting back" and "bringing forward" a group's expiration time is unclear: it's not clear which one is supposed to mean "prolong" and which one "shorten"

It's clear enough if you look up a dictionary. Wiktionary has, for "put back", "To postpone an arranged event or appointment", and for "bring forward", "To make something happen earlier than originally planned."

What's more, I even foresaw this problem and took the time to explain it in the qqq documentation: https://translatewiki.net/wiki/MediaWiki:Userrights-cannot-shorten-expiry/qqq

The moral of the story is, translators shouldn't translate words that they don't understand without looking them up first!

My English is not native, but native speakers (including my partner) tell me it's pretty close. Yet I didn't find these terms intuitive in the least. The moral of the story is, if users with above-average English require a dictionary to use your software, you're doing it wrong.

@TTO I'm not 100% convinced that this is really the best solution, but as I can't think of a term that is easier to understand and doesn't trade off specificalness for this, I think we should keep this mostly as it is. There are a few minor things we can improve though:

Your link is actually refering to Userrights-cannot-shorten-expiry, while the task author refered to Userrights-groups-help. The latter does not have the explanation on qqq that the first has, so I'd propose to add this clarification to the qqq of the latter too.

In addition, you mentioned:

The group doesn't expire, the user's membership in the group does.

which is absolutely correct. The current messages are

"you can only put back the expiration time of this group", "You cannot bring forward the expiry of group \"$1\". "

I'd say your comment also matches those messages and hence I would change those to:

  • "you can only put back the expiration time of this group membership"
  • "You cannot bring forward the expiry of membership in group \"$1\"."

or something similar.

With all given respect, I might add another note for this:

The moral of the story is, translators shouldn't translate words that they don't understand without looking them up first!

This may not be something a native speaker would even think about, but as a foreign speaker it's really easy to miss that "put back" and "bring forward" even are certain well-defined phrases when you read them in a sentence, like it is with messages. Missing that particular information, one might think that "put" and "bring" are interchangeable here. And if you aren't aware of this being a specific well-defined phrase, you likely won't ever look up that phrase. For me (being a foreign speaker) it is really understandable that someone misses this and hence get's the meaning of this message wrong. Sorry, but I think it's neither right nor kind to just blame translators for not looking up a dictionary, if they maybe just even didn't notice that there is a well-defined phrase that they could look up (which really isn't obvious for non en-N). Instead we should ask "This message is clear to me, but obviously it isn't for them. Why is that? How can we help them to better understand this message?". Please let's focus on improving the part that we're able to help with rather than blaming people. Thanks!

As there was no reply, nobody seems to strongly (dis)agree on this, so I amended my commit in the way described. Review welcomed.

Change 345112 merged by jenkins-bot:
[mediawiki/core@master] Improve qqq for i18n message at Special:Userrights

https://gerrit.wikimedia.org/r/345112

EddieGP closed this task as Resolved.Apr 5 2017, 11:57 AM